<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\KursUebersicht\Detailsreiter\Teilnehmer\BelegungBearbeitenDialog;

class BelegungBearbeitenDialogController extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Teilnehmer\BelegungDialog\BelegungBearbeitenDialogController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new BelegungBearbeitenDialogUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new BelegungBearbeitenDialogPresenter($pUseCaseResponse);
  }
}